Subject: Re: SLPReg() for SA's

From: James Kempf <[email-masked]>
Date: Tue, 24 Apr 2001 09:55:17 -0700 (PDT)

Tim,

This certainly isn't the way we have implemented Solaris SLP.

If an SA server is handling all clients on a machine, there is no
need for each client to explicitly register itself as a service agent.
The SA server can determine what service types are being handled
by the machine, and handle a SrvRqst for service:service-agent.

		jak

>To: [email-masked]
>Subject: SLPReg() for SA's
>Date: Tue, 24 Apr 2001 09:09:15 -0700
>From: Timothy S Zurcher <[email-masked]>
>
>
>An SA will use SLPReg() to register the services that it offers.  
>My understanding is that it should also make an *explicit* call to SLPReg()
>to register itself as a "service:service-agent".  That is, there's not
>an *implicit* registration (as "service:service-agent") just because 
>SLPReg() is called for some other service.  Is this correct?
>
>Thanks,
>Tim Zurcher